<?php
/**
 * Plugin Name: Arts Custom Fonts
 * Description: UI for uploading custom fonts and handling of Adobe Fonts
 * Plugin URI:  https://artemsemkin.com/
 * Version:     1.2.0
 * Author:      Artem Semkin
 * Author URI:  https://artemsemkin.com/
 * Update URI: artemsemkin.com
 * Text Domain: arts
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

define( 'ARTS_CUSTOM_FONTS_PLUGIN_PATH', untrailingslashit( plugin_dir_path( __FILE__ ) ) );
define( 'ARTS_CUSTOM_FONTS_PLUGIN_URL', untrailingslashit( plugin_dir_url( __FILE__ ) ) );
define( 'ARTS_CUSTOM_FONTS_PLUGIN_VERSION', get_file_data( __FILE__, array( 'ver' => 'Version' ), false )['ver'] );

/**
 * Load Plugin
 */
require_once ARTS_CUSTOM_FONTS_PLUGIN_PATH . '/inc/plugin.php';

/**
 * Plugin Updates API
 */
if ( ! class_exists( 'Arts_Core_Plugin_Update' ) ) {
	require_once ARTS_CUSTOM_FONTS_PLUGIN_PATH . '/inc/update.php';
}
new Arts_Core_Plugin_Update( 'plugin', 'arts-custom-fonts/arts-custom-fonts.php' );

add_action( 'init', 'arts_cf_load_textdomain' );
function arts_cf_load_textdomain() {
	load_plugin_textdomain( 'arts' );
}
