<?php
/**
 * Plugin Name: Arts Mouse Cursor Follower
 * Description: Interactive mouse follower to enhance the user experience
 * Plugin URI:  https://artemsemkin.com/
 * Version:     1.0.2
 * Author:      Artem Semkin
 * Author URI:  https://artemsemkin.com/
 * Text Domain: arts
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

define( 'ARTS_MOUSE_CURSOR_FOLLOWER_PLUGIN_PATH', untrailingslashit( plugin_dir_path( __FILE__ ) ) );
define( 'ARTS_MOUSE_CURSOR_FOLLOWER_PLUGIN_URL', untrailingslashit( plugin_dir_url( __FILE__ ) ) );
define( 'ARTS_MOUSE_CURSOR_FOLLOWER_PLUGIN_VERSION', get_file_data( __FILE__, array( 'ver' => 'Version' ), false )['ver'] );

class Arts_Mouse_Cursor_Follower {
	private static $_instance = null;

	public static function instance() {
		if ( ! isset( self::$_instance ) ) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}

	function __construct() {
		$this->include_files();

		add_action( 'init', array( $this, 'load_textdomain' ) );
	}

	public function include_files() {
		require_once __DIR__ . '/inc/core/plugin_actions.php';
		require_once __DIR__ . '/inc/core/print_in_footer.php';
		require_once __DIR__ . '/inc/plugins/load_plugins.php';
		require_once __DIR__ . '/inc/customizer/customizer.php';
		require_once __DIR__ . '/inc/frontend/enqueue_assets.php';
		require_once __DIR__ . '/inc/frontend/localize_data.php';
	}

	public function load_textdomain() {
		load_plugin_textdomain( 'arts' );
	}
}

add_action( 'plugins_loaded', 'arts_mcf_init' );
function arts_mcf_init() {
	Arts_Mouse_Cursor_Follower::instance();
}
