<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$priority = 1;

/**
 * Highlight Elements
 */
Kirki::add_field(
	'arts_mcf', array(
		'type'        => 'textarea',
		'settings'    => 'highlight_elements',
		'label'       => esc_html__( 'Highlight Elements', 'arts' ),
		'description' => esc_html__( 'jQuery selector string', 'arts' ),
		'section'     => 'arts_mcf_interaction',
		'priority'    => $priority++,
		'default'     => 'a:not(a[data-arts-cursor]):not(.social__item a):not(.soc1al__item a):not(a.page-numbers):not(.js-arts-cursor-no-highlight):not(.wp-social-link a), .js-arts-cursor-highlight, button:not(button[data-arts-cursor])',
	)
);

Kirki::add_field(
	'arts_mcf', array(
		'type'            => 'slider',
		'settings'        => 'highlight_elements_scale',
		'description'     => esc_html__( 'Highlight Scale', 'arts' ),
		'section'         => 'arts_mcf_interaction',
		'default'         => 1.5,
		'priority'        => $priority++,
		'choices'         => array(
			'min'  => 0,
			'max'  => 4,
			'step' => 0.1,
		),
		'active_callback' => array(
			array(
				'setting'  => 'arts_mcf_highlight_elements',
				'operator' => '!=',
				'value'    => '',
			),
		),
	)
);

Kirki::add_field(
	'arts_mcf', array(
		'type'     => 'generic',
		'settings' => 'arts_mcf_interaction_generic_divider' . $priority,
		'section'  => 'arts_mcf_interaction',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'hr',
		),
	)
);

/**
 * Magnetic Elements
 */
Kirki::add_field(
	'arts_mcf', array(
		'type'        => 'textarea',
		'settings'    => 'magnetic_elements',
		'label'       => esc_html__( 'Magnetic Elements', 'arts' ),
		'description' => esc_html__( 'jQuery selector string', 'arts' ),
		'section'     => 'arts_mcf_interaction',
		'priority'    => $priority++,
		'default'     => '[data-arts-cursor-magnetic]',
	)
);

Kirki::add_field(
	'arts_mcf', array(
		'type'     => 'generic',
		'settings' => 'arts_mcf_interaction_generic_divider' . $priority,
		'section'  => 'arts_mcf_interaction',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'hr',
		),
	)
);

/**
 * Hide Native Cursor Elements
 */
Kirki::add_field(
	'arts_mcf', array(
		'type'        => 'textarea',
		'settings'    => 'hide_native_cursor_elements',
		'label'       => esc_html__( 'Hide Native Cursor Elements', 'arts' ),
		'description' => esc_html__( 'jQuery selector string', 'arts' ),
		'section'     => 'arts_mcf_interaction',
		'priority'    => $priority++,
		'default'     => '[data-arts-cursor-hide-native]',
	)
);

Kirki::add_field(
	'arts_mcf', array(
		'type'     => 'generic',
		'settings' => 'arts_mcf_interaction_generic_divider' . $priority,
		'section'  => 'arts_mcf_interaction',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'hr',
		),
	)
);

/**
 * Hide Cursor & Scale & Magnet Elements
 */
Kirki::add_field(
	'arts_mcf', array(
		'type'        => 'textarea',
		'settings'    => 'hide_scale_magnet_elements',
		'label'       => esc_html__( 'Hide Native Cursor & Scale & Magnet Elements', 'arts' ),
		'description' => esc_html__( 'jQuery selector string', 'arts' ),
		'section'     => 'arts_mcf_interaction',
		'priority'    => $priority++,
		'default'     => '.slider__dot, .social__item, .soc1al__item, a.page-numbers',
	)
);
