<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$priority = 1;

Kirki::add_field(
	'arts_mcf', array(
		'type'     => 'custom',
		'settings' => 'arts_mcf_options_message',
		'section'  => 'arts_mcf_options',
		'priority' => $priority++,
		'default'  => sprintf(
			'<div class="notice notice-large notice-success">%1$s <strong>%2$s</strong> %3$s <a href="%4$s" target="_blank">%5$s</a></div>',
			esc_html( 'To completely disable the effect please deactivate', 'arts' ),
			esc_html( 'Arts Mouse Cursor Follower', 'arts' ),
			esc_html( 'plugin in', 'arts' ),
			admin_url( 'plugins.php' ),
			esc_html( 'Backend Panel -> Plugins', 'arts' ),
		),
	)
);

Kirki::add_field(
	'arts_mcf', array(
		'type'     => 'number',
		'settings' => 'animation_duration',
		'label'    => esc_html__( 'Animation Duration', 'arts' ),
		'tooltip'  => esc_html__( 'A float value between 0.0 and 1.0 defining the animation time (in seconds) when the virtual mouse follower is interacting with an element.', 'arts' ),
		'section'  => 'arts_mcf_options',
		'default'  => 0.25,
		'priority' => $priority++,
		'choices'  => array(
			'min'  => 0,
			'max'  => 1.0,
			'step' => 0.01,
		),
	)
);

Kirki::add_field(
	'arts_mcf', array(
		'type'        => 'number',
		'settings'    => 'trailing_factor',
		'label'       => esc_html__( 'Trailing Factor', 'arts' ),
		'description' => esc_html__( 'The lower the value is, the faster virtual mouse follower will attract to the native cursor pointer.', 'arts' ),
		'tooltip'     => esc_html__( 'An integer value between 1 and 20 defining how fast the virtual mouse follower will trail to the native mouse.', 'arts' ),
		'section'     => 'arts_mcf_options',
		'default'     => 6,
		'priority'    => $priority++,
		'choices'     => array(
			'min'  => 1,
			'max'  => 20,
			'step' => 1,
		),
	)
);
