<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$priority = 1;
$choices  = array(
	'fonts' => apply_filters( 'arts/custom_fonts/font_choices', array() ),
);

Kirki::add_field(
	'arts_mcf', array(
		'type'     => 'color',
		'section'  => 'arts_mcf_style',
		'label'    => esc_html__( 'Stroke Color', 'arts' ),
		'default'  => '#ed4830',
		'settings' => 'stroke_color',
		'priority' => $priority ++,
		'output'   => array(
			array(
				'element'  => '.arts-cursor__stroke-inner',
				'property' => 'stroke',
			),
			array(
				'element'  => '.arts-cursor',
				'property' => 'color',
			),
		),
	)
);

Kirki::add_field(
	'arts_mcf', array(
		'type'     => 'color',
		'section'  => 'arts_mcf_style',
		'label'    => esc_html__( 'Loading Color', 'arts' ),
		'default'  => '#ed4830',
		'settings' => 'loading_color',
		'priority' => $priority ++,
		'output'   => array(
			array(
				'element'  => '.arts-cursor__stroke-outer',
				'property' => 'stroke',
			),
		),
	)
);

Kirki::add_field(
	'arts_mcf', array(
		'type'     => 'generic',
		'section'  => 'arts_mcf_style',
		'settings' => 'arts_mcf_style_generic_divider' . $priority,
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'hr',
		),
	)
);

/**
 * Helper Label
 */
Kirki::add_field(
	'arts_mcf', array(
		'type'     => 'generic',
		'label'    => esc_html__( 'Helper Label & Icon', 'arts' ),
		'settings' => 'arts_mcf_heading' . $priority++,
		'section'  => 'arts_mcf_style',
		'priority' => $priority++,
		'choices'  => array(
			'element' => 'span',
		),
	)
);

Kirki::add_field(
	'arts_mcf', array(
		'section'     => 'arts_mcf_style',
		'type'        => 'color',
		'description' => esc_html__( 'Text Color', 'arts' ),
		'default'     => '#ffffff',
		'settings'    => 'helper_color',
		'priority'    => $priority ++,
	)
);

Kirki::add_field(
	'arts_mcf', array(
		'section'     => 'arts_mcf_style',
		'type'        => 'color',
		'description' => esc_html__( 'Background Color', 'arts' ),
		'default'     => '#ed4830',
		'settings'    => 'helper_background',
		'priority'    => $priority ++,
	)
);

Kirki::add_field(
	'arts_mcf', array(
		'type'      => 'typography',
		'settings'  => 'label_typography',
		'section'   => 'arts_mcf_style',
		'default'   => array(
			'font-family'    => 'Inter',
			'font-size'      => '14px',
			'variant'        => '600',
			'line-height'    => '1.2',
			'letter-spacing' => '0',
			'text-transform' => 'none',
		),
		'priority'  => $priority++,
		'choices'   => $choices,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element' => '.arts-cursor__label',
			),
		),
	)
);

Kirki::add_field(
	'arts_mcf', array(
		'type'        => 'slider',
		'settings'    => 'icon_size',
		'description' => esc_html__( 'Icon Size (px)', 'arts' ),
		'section'     => 'arts_mcf_style',
		'default'     => 28,
		'priority'    => $priority++,
		'choices'     => array(
			'min'  => 8,
			'max'  => 50,
			'step' => 1,
		),
		'transport'   => 'auto',
		'output'      => array(
			array(
				'element'  => '.arts-cursor__icon',
				'property' => 'font-size',
				'units'    => 'px',
			),
			array(
				'element'  => '.arts-cursor__icon',
				'property' => 'width',
				'units'    => 'px',
			),
			array(
				'element'  => '.arts-cursor__icon',
				'property' => 'height',
				'units'    => 'px',
			),
		),
	)
);
