<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Enqueue Plugin Styles
 */
add_action( 'wp_enqueue_scripts', 'arts_mcf_enqueue_styles' );
function arts_mcf_enqueue_styles() {
	wp_enqueue_style( 'arts-mouse-cursor-follower', ARTS_MOUSE_CURSOR_FOLLOWER_PLUGIN_URL . '/css/jquery-arts-cursor.min.css', array(), ARTS_MOUSE_CURSOR_FOLLOWER_PLUGIN_VERSION );

	// Hide cursor in "Widgets" WordPress admin panel
	if ( is_admin() ) {
		wp_add_inline_style( 'arts-mouse-cursor-follower', '.arts-cursor{display:none!important}' );
	}
}

/**
 * Enqueue Plugin Scripts
 */
add_action( 'wp_enqueue_scripts', 'arts_mcf_enqueue_scripts' );
function arts_mcf_enqueue_scripts() {
	wp_enqueue_script( 'modernizr', ARTS_MOUSE_CURSOR_FOLLOWER_PLUGIN_URL . '/js/modernizr.custom.min.js', array(), '3.6.0', false );
	wp_enqueue_script( 'gsap', ARTS_MOUSE_CURSOR_FOLLOWER_PLUGIN_URL . '/js/gsap.min.js', array(), '3.9.1', true );
	wp_enqueue_script( 'drawsvg-plugin', ARTS_MOUSE_CURSOR_FOLLOWER_PLUGIN_URL . '/js/DrawSVGPlugin.min.js', array( 'gsap' ), '3.9.1', true );
	wp_enqueue_script( 'arts-mouse-cursor-follower', ARTS_MOUSE_CURSOR_FOLLOWER_PLUGIN_URL . '/js/jquery-arts-cursor.min.js', array( 'modernizr', 'jquery', 'gsap', 'drawsvg-plugin' ), ARTS_MOUSE_CURSOR_FOLLOWER_PLUGIN_VERSION, true );
}
