<?php
/**
 * Plugin Name: Arts Smooth Scrolling
 * Description: Smooth site scrolling based on virtual container translation
 * Plugin URI:  https://artemsemkin.com/
 * Version:     1.0.3
 * Author:      Artem Semkin
 * Author URI:  https://artemsemkin.com/
 * Text Domain: arts
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

define( 'ARTS_SMOOTH_SCROLLING_PLUGIN_PATH', untrailingslashit( plugin_dir_path( __FILE__ ) ) );
define( 'ARTS_SMOOTH_SCROLLING_PLUGIN_URL', untrailingslashit( plugin_dir_url( __FILE__ ) ) );
define( 'ARTS_SMOOTH_SCROLLING_PLUGIN_VERSION', get_file_data( __FILE__, array( 'ver' => 'Version' ), false )['ver'] );


class Arts_Smooth_Scrolling {
	private static $_instance = null;

	public static function instance() {
		if ( ! isset( self::$_instance ) ) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}

	function __construct() {
		$this->include_files();

		add_action( 'init', array( $this, 'load_textdomain' ) );
	}

	public function include_files() {
		require_once __DIR__ . '/inc/core/plugin_actions.php';
		require_once __DIR__ . '/inc/core/get_smooth_scroll_plugin.php';
		require_once __DIR__ . '/inc/elementor/helpers.php';
		require_once __DIR__ . '/inc/plugins/load_plugins.php';
		require_once __DIR__ . '/inc/customizer/customizer.php';
		require_once __DIR__ . '/inc/frontend/enqueue_assets.php';
		require_once __DIR__ . '/inc/frontend/localize_data.php';
	}

	public function load_textdomain() {
		load_plugin_textdomain( 'arts' );
	}
}

add_action( 'plugins_loaded', 'arts_ss_init' );
function arts_ss_init() {
	Arts_Smooth_Scrolling::instance();
}
