<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$priority = 1;

Kirki::add_field(
	'arts_ss',
	array(
		'type'     => 'custom',
		'settings' => 'arts_smooth_scrolling_options_message',
		'section'  => 'arts_smooth_scrolling_options',
		'priority' => $priority++,
		'default'  => sprintf(
			'<div class="notice notice-large notice-success">%1$s <strong>%2$s</strong> %3$s <a href="%4$s" target="_blank">%5$s</a></div>',
			esc_html( 'To completely disable the effect please deactivate', 'arts' ),
			esc_html( 'Arts Smooth Scrolling', 'arts' ),
			esc_html( 'plugin in', 'arts' ),
			admin_url( 'plugins.php' ),
			esc_html( 'Backend Panel -> Plugins', 'arts' )
		),
	)
);

Kirki::add_field(
	'arts_ss',
	array(
		'type'        => 'number',
		'settings'    => 'damping',
		'label'       => esc_html__( 'Damping', 'arts' ),
		'description' => esc_html__( 'The lower the value is, the more smooth the scrolling will be.', 'arts' ),
		'tooltip'     => esc_html__( 'A float value between 0.0 and 1.0 defining the momentum reduction damping factor.', 'arts' ),
		'section'     => 'arts_smooth_scrolling_options',
		'default'     => 0.12,
		'priority'    => $priority++,
		'choices'     => array(
			'min'  => 0,
			'max'  => 1,
			'step' => 0.01,
		),
	)
);

Kirki::add_field(
	'arts_ss',
	array(
		'type'        => 'switch',
		'settings'    => 'plugin_easing_enabled',
		'label'       => esc_html__( 'Enable Edge Easing', 'arts' ),
		'description' => esc_html__( 'The scroll will slow down with ease when reaching the page edges.', 'arts' ),
		'section'     => 'arts_smooth_scrolling_options',
		'default'     => true,
		'priority'    => $priority++,
	)
);
