<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Enqueue Plugin Scripts
 */
add_action( 'wp_enqueue_scripts', 'arts_ss_enqueue_scripts' );
function arts_ss_enqueue_scripts() {
	// don't run in Elementor editor
	if ( arts_is_elementor_editor_active() ) {
		return;
	}

	$type = arts_get_smooth_scroll_plugin();

	if ( $type === 'SmoothScrollbar' || $type === 'LocomotiveScroll' ) {
		wp_enqueue_script( 'modernizr', ARTS_SMOOTH_SCROLLING_PLUGIN_URL . '/js/modernizr.custom.min.js', array(), '3.6.0', false );
		wp_enqueue_script( 'gsap', ARTS_SMOOTH_SCROLLING_PLUGIN_URL . '/js/gsap.min.js', array(), '3.9.1', true );
	}

	if ( $type === 'SmoothScrollbar' ) {
		wp_enqueue_script( 'arts-smooth-scrollbar', ARTS_SMOOTH_SCROLLING_PLUGIN_URL . '/modules/smoothScrollbar/smoothScrollbar.min.js', array( 'modernizr', 'jquery', 'gsap' ), ARTS_SMOOTH_SCROLLING_PLUGIN_VERSION, true );
	}
}
