<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Localize Theme Options
 */
add_action( 'wp_enqueue_scripts', 'arts_ss_localize_data' );
function arts_ss_localize_data() {
	// don't run in Elementor editor
	if ( arts_is_elementor_editor_active() ) {
		return;
	}

	$type = arts_get_smooth_scroll_plugin();

	if ( $type === 'SmoothScrollbar' ) {
		$defaults = array(
			'target'                            => '.js-smooth-scroll',
			'absolute_elements'                 => '[data-arts-scroll-absolute]',
			'fixed_elements'                    => '[data-arts-scroll-fixed]',
			'elementor_canvas_template_enabled' => true,
			'damping'                           => 0.12,
			'plugin_easing_enabled'             => true,
		);
		$args     = get_option( 'arts_smooth_scrolling' );
		$settings = wp_parse_args( $args, $defaults );

		$settings = apply_filters(
			'arts/smooth_scrolling/smooth_scrollbar/settings', array(
				'enabled'  => isset( $_GET['smooth_scrolling'] ) && $_GET['smooth_scrolling'] === 'no' ? false : true,
				'target'   => $settings['target'],
				'elements' => array(
					'absoluteElements' => $settings['absolute_elements'],
					'fixedElements'    => $settings['fixed_elements'],
				),
				'options'  => array(
					'damping'             => esc_js( $settings['damping'] ),
					'renderByPixels'      => true,
					'continuousScrolling' => $settings['plugin_easing_enabled'] ? false : true,
					'plugins'             => array(
						'edgeEasing'    => esc_js( $settings['plugin_easing_enabled'] ),
						'disableScroll' => array(
							'direction' => 'x',
						),
					),
				),
			)
		);

		wp_localize_script( 'arts-smooth-scrollbar', 'arts_ss_settings', $settings );

		wp_add_inline_script( 'arts-smooth-scrollbar', trim( 'document.addEventListener("DOMContentLoaded", () => {new window.artsSmoothScrollbar(arts_ss_settings);});' ) );
	}
}
