<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

add_action( 'elementor/element/after_add_attributes', 'arts_add_elementor_section_attributes' );
function arts_add_elementor_section_attributes( Elementor\Element_Base $element ) {
	if ( $element instanceof Elementor\Element_Section || $element instanceof Elementor\Includes\Elements\Container ) {
		$settings = $element->get_settings_for_display();

		if ( ! empty( $settings['theme_section_elements_theme'] ) ) {
			$element->add_render_attribute(
				'_wrapper',
				array(
					'data-arts-theme-text' => $settings['theme_section_elements_theme'],
				)
			);
		}

		if ( $settings['theme_section_switch_theme_enabled'] ) {
				$element->add_render_attribute(
					'_wrapper',
					array(
						'data-arts-default-theme'         => $settings['theme_section_color'],
						'data-arts-scroll-theme'          => $settings['theme_section_color_on_scroll'],
						'data-arts-scroll-theme-elements' => $settings['theme_section_elements_theme_on_scroll'],
						'data-arts-scroll-offset'         => $settings['theme_section_switch_theme_offset']['size'],
						'data-arts-scroll-trigger-hook'   => $settings['theme_section_switch_theme_trigger_hook'],
					)
				);
		}

		if ( $settings['theme_section_unite_inner_galleries'] ) {
			$element->add_render_attribute( '_wrapper', 'class', $settings['theme_section_unite_inner_galleries'] );
		}
	}
}
