<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

add_action( 'elementor/element/section/section_background/after_section_start', 'arts_add_elementor_section_color_theme_switch_on_scroll_controls', 10, 2 );
add_action( 'elementor/element/container/section_background/after_section_start', 'arts_add_elementor_section_color_theme_switch_on_scroll_controls', 10, 2 );
function arts_add_elementor_section_color_theme_switch_on_scroll_controls( $control ) {
	$control->add_control(
		'theme_section_color_on_scroll_heading',
		array(
			'label'     => esc_html__( 'Kinsey: On Scroll Color Theme', 'kinsey' ),
			'type'      => \Elementor\Controls_Manager::HEADING,
			'separator' => 'before',
			'condition' => array(
				'theme_section_switch_theme_enabled' => 'section-scroll-theme-switch',
			),
		)
	);

	$control->add_control(
		'theme_section_switch_theme_enabled',
		array(
			'label'              => esc_html__( 'Switch Color Theme on Scroll', 'kinsey' ),
			'type'               => \Elementor\Controls_Manager::SWITCHER,
			'default'            => '',
			'return_value'       => 'section-scroll-theme-switch',
			'classes'            => '{{WRAPPER}}',
			'frontend_available' => true,
			'prefix_class'       => '',
		)
	);

	$control->add_control(
		'theme_section_switch_theme_trigger_hook',
		array(
			'label'              => esc_html__( 'Scroll Trigger Hook', 'kinsey' ),
			'type'               => \Elementor\Controls_Manager::SELECT,
			'default'            => 'bottom',
			'options'            => array(
				'bottom' => esc_html__( 'Bottom', 'kinsey' ),
				'center' => esc_html__( 'Center', 'kinsey' ),
				'top'    => esc_html__( 'Top', 'kinsey' ),
			),
			'condition'          => array(
				'theme_section_switch_theme_enabled' => 'section-scroll-theme-switch',
			),
			'frontend_available' => true,
			// 'prefix_class'       => '',
		)
	);

	$control->add_control(
		'theme_section_switch_theme_offset',
		array(
			'label'              => esc_html__( 'Scroll Trigger Offset (px)', 'kinsey' ),
			'type'               => \Elementor\Controls_Manager::SLIDER,
			'size_units'         => array( 'px' ),
			'range'              => array(
				'px' => array(
					'min'  => -1000,
					'max'  => 1000,
					'step' => 5,
				),
			),
			'default'            => array(
				'unit' => 'px',
				'size' => 300,
			),
			'condition'          => array(
				'theme_section_switch_theme_enabled' => 'section-scroll-theme-switch',
			),
			'frontend_available' => true,
			// 'prefix_class'       => '',
		)
	);

	$control->add_control(
		'theme_section_color_on_scroll',
		array(
			'label'              => esc_html__( 'On Scroll: Color Theme', 'kinsey' ),
			'type'               => \Elementor\Controls_Manager::SELECT,
			'default'            => '',
			'options'            => ARTS_THEME_COLORS_ARRAY,
			'condition'          => array(
				'theme_section_switch_theme_enabled' => 'section-scroll-theme-switch',
			),
			'frontend_available' => true,
			// 'prefix_class'       => '',
		)
	);

	$control->add_control(
		'theme_section_elements_theme_on_scroll',
		array(
			'label'              => esc_html__( 'On Scroll: Elements Color', 'kinsey' ),
			'type'               => Elementor\Controls_Manager::SELECT,
			'default'            => '',
			'options'            => ARTS_THEME_COLOR_THEMES_ARRAY,
			'condition'          => array(
				'theme_section_switch_theme_enabled' => 'section-scroll-theme-switch',
			),
			'frontend_available' => true,
			// 'prefix_class'       => '',
		)
	);

	$control->add_control(
		'theme_section_on_scroll_divider',
		array(
			'label'     => '',
			'type'      => Elementor\Controls_Manager::HEADING,
			'separator' => 'before',
		)
	);
}
