<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

add_action( 'elementor/element/section/section_advanced/after_section_start', 'arts_add_elementor_section_fluid_paddings_margins_controls', 10, 2 );
add_action( 'elementor/element/container/section_layout/after_section_start', 'arts_add_elementor_section_fluid_paddings_margins_controls', 10, 2 );
add_action( 'elementor/element/column/section_advanced/after_section_start', 'arts_add_elementor_section_fluid_paddings_margins_controls', 10, 2 );
function arts_add_elementor_section_fluid_paddings_margins_controls( $control ) {
	$control->add_control(
		'heading_fluid_paddings',
		array(
			'label' => esc_html__( 'Kinsey: Fluid Paddings', 'kinsey' ),
			'type'  => \Elementor\Controls_Manager::HEADING,
		)
	);

	$control->add_control(
		'theme_section_pt',
		array(
			'label'        => esc_html__( 'Padding Top', 'kinsey' ),
			'type'         => \Elementor\Controls_Manager::SELECT,
			'default'      => '',
			'options'      => ARTS_THEME_DISTANCE_ARRAY['padding']['top'],
			'dynamic'      => array(
				'active' => true,
			),
			'prefix_class' => '',
			'classes'      => '',
			'condition'    => array(
				'theme_section_gutters!' => 'container-fluid container-fluid_paddings',
			),
		)
	);

	$control->add_control(
		'theme_section_pb',
		array(
			'label'        => esc_html__( 'Padding Bottom', 'kinsey' ),
			'type'         => \Elementor\Controls_Manager::SELECT,
			'default'      => '',
			'options'      => ARTS_THEME_DISTANCE_ARRAY['padding']['bottom'],
			'dynamic'      => array(
				'active' => true,
			),
			'prefix_class' => '',
			'classes'      => '',
			'condition'    => array(
				'theme_section_gutters!' => 'container-fluid container-fluid_paddings',
			),
		)
	);

	$control->add_control(
		'theme_section_gutters',
		array(
			'label'        => esc_html__( 'Gutters', 'kinsey' ),
			'type'         => \Elementor\Controls_Manager::SELECT,
			'default'      => '',
			'options'      => array(
				''                                         => esc_html__( 'Auto', 'kinsey' ),
				'container-fluid'                          => esc_html__( 'Left / Right Only', 'kinsey' ),
				'container-fluid container-fluid_paddings' => esc_html__( 'All Sides', 'kinsey' ),
			),
			'dynamic'      => array(
				'active' => true,
			),
			'prefix_class' => '',
			'classes'      => '',
		)
	);

	$control->add_control(
		'theme_section_offset_from_bottom',
		array(
			'label'        => esc_html__( 'Offset from Bottom', 'kinsey' ),
			'type'         => \Elementor\Controls_Manager::SWITCHER,
			'return_value' => 'offset_top',
			'default'      => '',
			'dynamic'      => array(
				'active' => true,
			),
			'prefix_class' => '',
			'classes'      => '',
			'condition'    => array(
				'theme_section_pt'  => '',
				'theme_section_pb!' => '',
			),
		)
	);

	$control->add_control(
		'theme_section_offset_from_top',
		array(
			'label'        => esc_html__( 'Offset from Top', 'kinsey' ),
			'type'         => \Elementor\Controls_Manager::SWITCHER,
			'return_value' => 'offset_bottom',
			'default'      => '',
			'dynamic'      => array(
				'active' => true,
			),
			'prefix_class' => '',
			'classes'      => '',
			'condition'    => array(
				'theme_section_pb'  => '',
				'theme_section_pt!' => '',
			),
		)
	);

	$control->add_control(
		'heading_fluid_margins',
		array(
			'label'     => esc_html__( 'Kinsey: Fluid Margins', 'kinsey' ),
			'type'      => \Elementor\Controls_Manager::HEADING,
			'separator' => 'before',
		)
	);

	$control->add_control(
		'theme_section_mt',
		array(
			'label'        => esc_html__( 'Margin Top', 'kinsey' ),
			'type'         => \Elementor\Controls_Manager::SELECT,
			'default'      => '',
			'options'      => array_merge( ARTS_THEME_DISTANCE_ARRAY['margin']['top'], ARTS_THEME_DISTANCE_ARRAY['margin']['minus_top'] ),
			'dynamic'      => array(
				'active' => true,
			),
			'prefix_class' => '',
			'classes'      => '',
		)
	);

	$control->add_control(
		'theme_section_mb',
		array(
			'label'        => esc_html__( 'Margin Bottom', 'kinsey' ),
			'type'         => \Elementor\Controls_Manager::SELECT,
			'default'      => '',
			'options'      => array_merge( ARTS_THEME_DISTANCE_ARRAY['margin']['bottom'], ARTS_THEME_DISTANCE_ARRAY['margin']['minus_bottom'] ),
			'dynamic'      => array(
				'active' => true,
			),
			'prefix_class' => '',
			'classes'      => '',
		)
	);
}
