<?php

namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

trait Kinsey_Widget_Trait_Grid_Helpers {

	public function get_terms_list( $taxonomy = 'arts_portfolio_category' ) {
		$result = array(
			'' => esc_html__( '@ ' . 'First Filter Item', 'kinsey' ),
		);

		$terms = $this->get_taxonomies_to_display( static::$_posts, $taxonomy );

		if ( ! empty( $terms ) && array_key_exists( 'items', $terms ) ) {
			foreach ( $terms['items'] as $item ) {
				$result[ $item['slug'] ] = $item['name'];
			}
		}

		return $result;
	}

	public function get_default_active_filter_item() {
		$settings = $this->get_settings_for_display();
		$result   = '';

		if ( $settings['filter_by_taxonomy'] === 'arts_portfolio_category' && ! empty( $settings['filter_default_active_category'] ) ) {
			$result = $settings['filter_default_active_category'];
		}

		if ( $settings['filter_by_taxonomy'] === 'arts_portfolio_year' && ! empty( $settings['filter_default_active_year'] ) ) {
			$result = $settings['filter_default_active_year'];
		}

		return $result;
	}

}
