<?php

namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

trait Kinsey_Widget_Trait_Horizontal_Controls {

	public function add_controls_horizontal_scrolling_options( $args = array( 'type', 'direction', 'start_delay', 'end_delay', 'in_view_class' ) ) {
		if ( ! $args || empty( $args ) ) {
			return;
		}

		if ( in_array( 'type', $args ) ) {
			$this->add_control(
				'horizontal_scroll_type',
				array(
					'label'   => esc_html__( 'Type', 'kinsey' ),
					'type'    => Controls_Manager::SELECT,
					'default' => 'modular',
					'options' => array(
						'wrapper' => esc_html__( 'Wrapper', 'kinsey' ),
						'modular' => esc_html__( 'Modular', 'kinsey' ),
					),
				)
			);

			if ( in_array( 'direction', $args ) ) {
				$this->add_control(
					'rtl_scrolling_enabled',
					array(
						'label'       => esc_html__( 'Invert Scrolling Direction', 'kinsey' ),
						'description' => esc_html__( 'Use this option for compatibility with RTL layouts. It switches only scrolling direction and doesn\'t affect the widget layout.', 'kinsey' ),
						'type'        => Controls_Manager::SWITCHER,
						'default'     => '',
						'condition'   => array(
							'horizontal_scroll_type' => 'wrapper',
						),
					)
				);
			}
		}

		if ( in_array( 'in_view_class', $args ) ) {
			$this->add_control(
				'horizontal_scroll_in_view_class',
				array(
					'label'       => esc_html__( 'Toggle In View Class', 'kinsey' ),
					'description' => esc_html__( 'CSS class WITHOUT the dot that will be temporarily added to the currently visible scrolling sections.', 'kinsey' ),
					'type'        => Controls_Manager::TEXT,
					'dynamic'     => array(
						'active' => true,
					),
					'default'     => 'in-view',
				)
			);
		}
	}

}
