<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class WPML_Elementor_Kinsey_Widget_Definitions_List extends WPML_Elementor_Module_With_Items {

	/**
	 * @return string
	 */
	public function get_items_field() {
		return 'items';
	}

	/**
	 * @return array
	 */
	public function get_fields() {
		return array( 'name', 'description' );
	}

	/**
	 * @param string $field
	 *
	 * @return string
	 */
	protected function get_title( $field ) {
		switch ( $field ) {
			case 'name':
				return sprintf( '<strong>%1$s</strong><br>%2$s', esc_html__( 'Definitions List', 'kinsey' ), esc_html__( 'Name', 'kinsey' ) );
			case 'description':
				return sprintf( '<strong>%1$s</strong><br>%2$s', esc_html__( 'Definitions List', 'kinsey' ), esc_html__( 'Text', 'kinsey' ) );
			default:
				return '';
		}
	}

	/**
	 * @param string $field
	 *
	 * @return string
	 */
	protected function get_editor_type( $field ) {
		switch ( $field ) {
			case 'name':
				return 'LINE';
			case 'description':
				return 'AREA';

			default:
				return '';
		}
	}
}
