<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class WPML_Elementor_Kinsey_Widget_Portfolio_Fullscreen_Slider_Backgrounds_2 extends WPML_Elementor_Module_With_Items {

	/**
	 * @return string
	 */
	public function get_items_field() {
		return 'posts_static';
	}

	/**
	 * @return array
	 */
	public function get_fields() {
		return array( 'title', 'subheading', 'description' );
	}

	/**
	 * @param string $field
	 *
	 * @return string
	 */
	protected function get_title( $field ) {
		switch ( $field ) {
			case 'title':
				return sprintf( '%1$s / %2$s', esc_html__( 'Portfolio Fullscreen Slider Backgrounds 2', 'kinsey' ), esc_html__( 'Title', 'kinsey' ) );
			case 'subheading':
				return sprintf( '%1$s / %2$s', esc_html__( 'Portfolio Fullscreen Slider Backgrounds 2', 'kinsey' ), esc_html__( 'Subheading', 'kinsey' ) );
			case 'description':
				return sprintf( '%1$s / %2$s', esc_html__( 'Portfolio Fullscreen Slider Backgrounds 2', 'kinsey' ), esc_html__( 'Description', 'kinsey' ) );

			default:
				return '';
		}
	}

	/**
	 * @param string $field
	 *
	 * @return string
	 */
	protected function get_editor_type( $field ) {
		switch ( $field ) {
			case 'title':
				return 'LINE';
			case 'subheading':
				return 'LINE';
			case 'description':
				return 'AREA';

			default:
				return '';
		}
	}
}
