<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

add_action( 'init', 'arts_register_post_types' );
function arts_register_post_types() {

	$priority = 5;

	/**
	 * Portfolio Item
	 */
	$labels  = array(
		'name'                  => _x( 'Portfolio Items', 'Post Type General Name', 'kinsey' ),
		'singular_name'         => _x( 'Portfolio Item', 'Post Type Singular Name', 'kinsey' ),
		'menu_name'             => _x( 'Portfolio Items', 'Admin Menu text', 'kinsey' ),
		'name_admin_bar'        => _x( 'Portfolio Item', 'Add New on Toolbar', 'kinsey' ),
		'archives'              => esc_html__( 'Portfolio Item Archives', 'kinsey' ),
		'attributes'            => esc_html__( 'Portfolio Item Attributes', 'kinsey' ),
		'parent_item_colon'     => esc_html__( 'Parent Portfolio Item:', 'kinsey' ),
		'all_items'             => esc_html__( 'All Portfolio Items', 'kinsey' ),
		'add_new_item'          => esc_html__( 'Add New Portfolio Item', 'kinsey' ),
		'add_new'               => esc_html__( 'Add New', 'kinsey' ),
		'new_item'              => esc_html__( 'New Portfolio Item', 'kinsey' ),
		'edit_item'             => esc_html__( 'Edit Portfolio Item', 'kinsey' ),
		'update_item'           => esc_html__( 'Update Portfolio Item', 'kinsey' ),
		'view_item'             => esc_html__( 'View Portfolio Item', 'kinsey' ),
		'view_items'            => esc_html__( 'View Portfolio Items', 'kinsey' ),
		'search_items'          => esc_html__( 'Search Portfolio Item', 'kinsey' ),
		'not_found'             => esc_html__( 'Not found', 'kinsey' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'kinsey' ),
		'featured_image'        => esc_html__( 'Featured Image', 'kinsey' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'kinsey' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'kinsey' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'kinsey' ),
		'insert_into_item'      => esc_html__( 'Insert into Portfolio Item', 'kinsey' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this Portfolio Item', 'kinsey' ),
		'items_list'            => esc_html__( 'Portfolio Items list', 'kinsey' ),
		'items_list_navigation' => esc_html__( 'Portfolio Items list navigation', 'kinsey' ),
		'filter_items_list'     => esc_html__( 'Filter Portfolio Items list', 'kinsey' ),
	);
	$rewrite = array(
		'slug'       => 'portfolio',
		'with_front' => false,
		'pages'      => true,
		'feeds'      => true,
	);
	$args    = array(
		'label'               => esc_html__( 'Portfolio Item', 'kinsey' ),
		'description'         => esc_html__( '', 'kinsey' ),
		'labels'              => $labels,
		'menu_icon'           => 'dashicons-art',
		'supports'            => array( 'title', 'thumbnail', 'revisions' ),
		'taxonomies'          => array( 'arts_portfolio_category', 'arts_portfolio_year' ),
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'menu_position'       => $priority++,
		'show_in_admin_bar'   => true,
		'show_in_nav_menus'   => true,
		'can_export'          => true,
		'has_archive'         => false,
		'hierarchical'        => false,
		'exclude_from_search' => false,
		'show_in_rest'        => true,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
		'rewrite'             => $rewrite,
	);
	register_post_type( 'arts_portfolio_item', $args );

	/**
	 * Service
	 */
	$labels  = array(
		'name'                  => _x( 'Services', 'Post Type General Name', 'kinsey' ),
		'singular_name'         => _x( 'Service', 'Post Type Singular Name', 'kinsey' ),
		'menu_name'             => _x( 'Services', 'Admin Menu text', 'kinsey' ),
		'name_admin_bar'        => _x( 'Service', 'Add New on Toolbar', 'kinsey' ),
		'archives'              => esc_html__( 'Service Archives', 'kinsey' ),
		'attributes'            => esc_html__( 'Service Attributes', 'kinsey' ),
		'parent_item_colon'     => esc_html__( 'Parent Service:', 'kinsey' ),
		'all_items'             => esc_html__( 'All Services', 'kinsey' ),
		'add_new_item'          => esc_html__( 'Add New Service', 'kinsey' ),
		'add_new'               => esc_html__( 'Add New', 'kinsey' ),
		'new_item'              => esc_html__( 'New Service', 'kinsey' ),
		'edit_item'             => esc_html__( 'Edit Service', 'kinsey' ),
		'update_item'           => esc_html__( 'Update Service', 'kinsey' ),
		'view_item'             => esc_html__( 'View Service', 'kinsey' ),
		'view_items'            => esc_html__( 'View Services', 'kinsey' ),
		'search_items'          => esc_html__( 'Search Service', 'kinsey' ),
		'not_found'             => esc_html__( 'Not found', 'kinsey' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'kinsey' ),
		'featured_image'        => esc_html__( 'Featured Image', 'kinsey' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'kinsey' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'kinsey' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'kinsey' ),
		'insert_into_item'      => esc_html__( 'Insert into Service', 'kinsey' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this Service', 'kinsey' ),
		'items_list'            => esc_html__( 'Services list', 'kinsey' ),
		'items_list_navigation' => esc_html__( 'Services list navigation', 'kinsey' ),
		'filter_items_list'     => esc_html__( 'Filter Services list', 'kinsey' ),
	);
	$rewrite = array(
		'slug'       => 'services',
		'with_front' => false,
		'pages'      => true,
		'feeds'      => true,
	);
	$args    = array(
		'label'               => esc_html__( 'Service', 'kinsey' ),
		'description'         => esc_html__( '', 'kinsey' ),
		'labels'              => $labels,
		'menu_icon'           => 'dashicons-hammer',
		'supports'            => array( 'title', 'thumbnail', 'revisions' ),
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'menu_position'       => $priority++,
		'show_in_admin_bar'   => true,
		'show_in_nav_menus'   => true,
		'can_export'          => true,
		'has_archive'         => false,
		'hierarchical'        => false,
		'exclude_from_search' => false,
		'show_in_rest'        => true,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
		'rewrite'             => $rewrite,
	);
	register_post_type( 'arts_service', $args );

}
