<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

add_action( 'wp_enqueue_scripts', 'arts_localize_assets', 60 );
function arts_localize_assets() {
	$gmap_key = get_option( 'arts_gmap' );

	if ( ! empty( get_option( 'arts_gmap' ) ) ) {
		$gmap_key = $gmap_key['key'];
	}

	wp_enqueue_script( 'kinsey-base-components', ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/base/base.min.js', array( 'jquery', 'gsap' ), ARTS_KINSEY_CORE_PLUGIN_VERSION, true );
	wp_enqueue_script( 'kinsey-elementor-init', ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/elementorInit/elementorInit.min.js', array( 'kinsey-base-components' ), ARTS_KINSEY_CORE_PLUGIN_VERSION, true );

	wp_localize_script(
		'kinsey-components',
		'plugin',
		array(
			'assets' => array(
				'slider-css'                             => array(
					'id'      => 'slider-css',
					'type'    => 'style',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/slider/slider.min.css',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'slider-text-transitions-js'             => array(
					'id'      => 'slider-text-transitions-js',
					'type'    => 'script',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sliderTextTransitions/sliderTextTransitions.min.js',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'slider-dots-js'                         => array(
					'id'      => 'slider-dots-js',
					'type'    => 'script',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sliderDots/sliderDots.min.js',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'slider-dots-css'                        => array(
					'id'      => 'slider-dots-css',
					'type'    => 'style',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sliderDots/sliderDots.min.css',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-slider-projects-fullscreen-js'  => array(
					'id'      => 'section-slider-projects-fullscreen-js',
					'type'    => 'script',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionSliderProjectsFullscreen/sectionSliderProjectsFullscreen.min.js',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-slider-projects-fullscreen-css' => array(
					'id'      => 'section-slider-projects-fullscreen-css',
					'type'    => 'style',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionSliderProjectsFullscreen/sectionSliderProjectsFullscreen.min.css',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-slider-projects-js'             => array(
					'id'      => 'section-slider-projects-js',
					'type'    => 'script',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionSliderProjects/sectionSliderProjects.min.js',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-slider-projects-css'            => array(
					'id'      => 'section-slider-projects-css',
					'type'    => 'style',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionSliderProjects/sectionSliderProjects.min.css',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-horizontal-scroll-js'           => array(
					'id'      => 'section-horizontal-scroll-js',
					'type'    => 'script',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionHorizontalScroll/sectionHorizontalScroll.min.js',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-horizontal-scroll-css'          => array(
					'id'      => 'section-horizontal-scroll-css',
					'type'    => 'style',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionHorizontalScroll/sectionHorizontalScroll.min.css',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-slider-testimonials-js'         => array(
					'id'      => 'section-slider-testimonials-js',
					'type'    => 'script',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionSliderTestimonials/sectionSliderTestimonials.min.js',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-slider-testimonials-css'        => array(
					'id'      => 'section-slider-testimonials-css',
					'type'    => 'style',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionSliderTestimonials/sectionSliderTestimonials.min.css',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-slider-images-js'               => array(
					'id'      => 'section-slider-images-js',
					'type'    => 'script',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionSliderImages/sectionSliderImages.min.js',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-slider-images-css'              => array(
					'id'      => 'section-slider-images-css',
					'type'    => 'style',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionSliderImages/sectionSliderImages.min.css',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-video-css'                      => array(
					'id'      => 'section-video-css',
					'type'    => 'style',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionVideo/sectionVideo.min.css',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-list-css'                       => array(
					'id'      => 'section-list-css',
					'type'    => 'style',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionList/sectionList.min.css',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'pswp-js'                                => array(
					'id'      => 'pswp-js',
					'type'    => 'script',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/pswp/pswp.min.js',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'pswp-css'                               => array(
					'id'      => 'pswp-css',
					'type'    => 'style',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/pswp/pswp.min.css',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-map-js'                         => array(
					'id'      => 'section-map-js',
					'type'    => 'script',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionMap/sectionMap.min.js',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'googlemap-js'                           => array(
					'id'    => 'googlemap-js',
					'type'  => 'script',
					'src'   => '//maps.googleapis.com/maps/api/js?callback=Function.prototype&key=' . esc_html( $gmap_key ),
					'cache' => true,
				),
				'countdown-js'                           => array(
					'id'    => 'countdown-js',
					'type'  => 'script',
					'src'   => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/countDown/countDown.min.js',
					'cache' => true,
				),
				'section-nav-projects-js'                => array(
					'id'      => 'section-nav-projects-js',
					'type'    => 'script',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionNavProjects/sectionNavProjects.min.js',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-nav-projects-css'               => array(
					'id'      => 'section-nav-projects-css',
					'type'    => 'style',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionNavProjects/sectionNavProjects.min.css',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
				'section-scroll-theme-switch-js'         => array(
					'id'      => 'section-scroll-theme-switch-js',
					'type'    => 'script',
					'src'     => ARTS_KINSEY_CORE_PLUGIN_URL . '/modules/sectionScrollThemeSwitch/sectionScrollThemeSwitch.min.js',
					'cache'   => true,
					'version' => ARTS_KINSEY_CORE_PLUGIN_VERSION,
				),
			),
		)
	);
}
